# Daniel Schierbeck
class Hash
  def delete_unless (&block)
    delete_if { |key, value| not block.call(key, value) }
  end
end


#  _____         _
# |_   _|__  ___| |_
#   | |/ _ \/ __| __|
#   | |  __/\__ \ |_
#   |_|\___||___/\__|
#
# TODO
